Author Topic: 502 Bad gateway when trying to open phpMyAdmin  (Read 138 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
502 Bad gateway when trying to open phpMyAdmin
« on: June 09, 2018, 10:21:43 PM »
Hi,

I'm getting the error below when I try to use phpMyAdmin. I'm running CentOS7 and PHP 7.2.5.

This is in the error log in cwpsrv/logs:

Code: [Select]
2018/06/10 01:16:24 [error] 10220#0: *593 upstream sent too big header while reading response header from upstream, client: xx.xx.xx$
I have increased the buffer sizes for nginx without any effect:

Code: [Select]
proxy_buffer_size   128k;
proxy_buffers   4 256k;
proxy_busy_buffers_size   256k;



I also get this dependency error when I try to install phpMyAdmin with yum.

Code: [Select]
Error: php72w-common conflicts with php-common-5.4.16-45.el7.x86_64
I've reinstalled PHP without any success. Roundcube and other services work normally. Any help is much appreciated, thanks!
« Last Edit: June 09, 2018, 10:25:30 PM by aleksiCoon »

Offline
***
https://www.24x7servermanagement.com/
Server Management, Server Security, Server Monitoring.
India's Leading Managed Service Provider !!

Offline
*
Re: 502 Bad gateway when trying to open phpMyAdmin
« Reply #2 on: June 10, 2018, 07:51:41 AM »
Actually forget to mention, but I did look at the first thread and went through with the steps without success.

I just read through the second thread and acted accordingly but that didn't help either.  :(



I'm currently running Apache + Varnish + Nginx, I even tried reverting back to Apache only without any success.

Code: [Select]
fastcgi_buffers 16 16k;
fastcgi_buffer_size 32k;

I increased the buffers without any effect on the errors..
« Last Edit: June 10, 2018, 08:52:10 AM by aleksiCoon »

Offline
*
Re: 502 Bad gateway when trying to open phpMyAdmin
« Reply #3 on: June 10, 2018, 09:06:18 AM »
Code: [Select]
*1328 upstream sent too big header while reading response header from upstream, client: xx.xx.xx.xxx, server: localhost, request: "GET /pma/ HTTP/1.1", upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsvc.sock:", host: "xxx.xxx:2031", referrer: "https://xxx.xxx:2031/admin/index.php"
Here's the full error again. I was wondering why in the fastcgi path there is php71, even though my php info says:

You are running PHP version: 7.2.5..

Not my expertise and I'm very much stuck on this error now..